local knownPrefix = {
	["<AFKTracker> Check Version"]	= true,
	["AlgalonObserver"] 	= true,
	["ArenaMaster"]		= true,
	["Armory"]		= true,
	["AthenesUpgradeEstimator DPS"]			= true,
	["AthenesUpgradeEstimator dpsUpgrade"]	= true,
	["AthenesUpgradeEstimator healUpgrade"]	= true,
	["BeastTraining"] 	= true,
	["BigWigs"] 		= true,
	["BWVB"] 			= true,
	["BWVB2"] 		= true,
	["BWVQ"] 			= true,
	["BWVR"] 			= true,
	["BWOOD"] 		= true,
	["BWOOD3"] 		= true,
	["BWTIP"] 		= true,
	["BWVQ3"] 		= true,
	["BWVR3"] 		= true,
	["BWVRA3"] 		= true,
	["BossNotes"]	= true,
	["BOSSTACTICS"] 		= true,
	["CastCommLib"] 		= true,
	["DamageMeters"] 		= true,
	["DataStore"] 		= true,
	["DS_Cont"] 		= true,
	["DS_Craft"] 		= true,
	["DS_Inv"] 		= true,
	["DS_Mails"] 		= true,
	["Death_Tracker"] 	= true,
	["DoIKnowYou"]		= true,
	["EASYMOTHER"]		= true,
	["EnsidiaFails"]		= true,
	["ForteWarlock"]		= true,
	["Gatherer"]		= true,
	["GHOSTRECON"]		= true,
	["GUILDMAP"]		= true,
	["HealBot"]		= true,
	["LibVersionCheck"]	= true,
	["lugMD"]		= true,
	["LootFilter"]		= true,
	["MageMajic"]		= true,
	["MagicMarke"]		= true,
	["MalygosFlamer"]	= true,
	["MalygosFlamerVersion"]	= true,
	["MultiBoxer"]		= true,
	["PetEmote"]	= true,
	["PreformAVEnabler"]	= true,
	["PartyCastingBars"]	= true,
	["QuestAnnouncer"]	= true,
	["RAB/BT"]		= true,
	["RAB/BI"]		= true,
	["RAB/BS"]		= true,
	["RAB/RD"]		= true,
	["RAB/RN"]		= true,
	["RAB/RE"]		= true,
	["RAB/RO"]		= true,
	["RAB/RF"]		= true,
	["RAB/BR"]		= true,
	["RAB/V"]		= true,
	["RAB/VC"]		= true,
	["RAIDMOBMARKER"]	= true,
	["RAIDVOICE"]		= true,
	["RBS"]			= true,
	["Recap"]		= true,
	["Rupture"]		= true,
	["SmartRes"]		= true,
	["SMN"]			= true,
	["SorrenTimers"]		= true,
	["SRTI"]			= true,
	["SSPVP"]		= true,
	["VisualHeal"]		= true,
	["X-Perl"]		= true,
	["X-PerlHeal"]		= true,
	["XChar"]		= true,
	["Yacl"]			= true,
	["\198\137h"]		= true,
	["\252\245G"]		= true,
	["2\224\237"]		= true,
	["CGP"]		= true,
	["8\206\194"]		= true,
	["\137\016"]		= true,
	["CaN"] 		= true,
	["\1813T"]		= true,
	["RECOUNT"]	= true,
	["\1675B"]	= true,
	["h\031Y"]		= true,
	[".\136="]		= true,
	["p\190\246"]		= true,
	["\1484\008"]	= true,
	["QQ6"]			= true,
	["\1613["]		= true,
	[")\252$"]		= true,
	["\234\218\230"]		= true,
	["k\227D"]		= true,
	["\229^\092"]		= true,
	["\130\131\213"]		= true,
	["\143\019\007"]	= true,
	["\198\232\192"]	= true,
	["kEl"]			= true,
	["[HA]"]		= true,
	["^RX^"]		= true,
	["AGC"]			= true,
	["ALF_T"]		= true,
	["AltoGuild"]	= true,
	["AltoGuild"]= true,
	["Altoholic"]	= true,
	["AM_FU"]		= true,
	["ATF"]			= true,
	["ATf"]			= true,
	["ATm"]			= true,
	["ArenaUnitFrames "]= true,
	["ATR"]			= true,
	["Audio Effects"]	= true,
	["AucAdvAskPrice"]= true,
	["BangCore_TPO"]	= true,
	["BangWG5"]		= true,
	["BEJEWELED2"]		= true,
	["BEJ2a"]		= true,
	["BE2"]			= true,
	["BFC"]			= true,
	["BLSS"]		= true,
	["BrokerEpicAvg"]	= true,
	["BST"]		= true,
	["cap"]		= true,
	["Cap"]		= true,
	["chatmod"]	= true,
	["CKICK_SYNC"]		= true,
	["Crafts"]		= true,
	["Crb"] 		= true,
	["CTRA"] 		= true,
	["CFUVCQ"]		= true,
	["CFUVCR"]		= true,
	["CT3"]			= true,
	["DTMR"]			= true,
	["DBM3Arathi"]	= true,
	["DBM3Alterac"]	= true,
	["DBMv4-CombatInfo"] = true,
	["DBMv4-Kill"] = true,
	["DBMv4-Mod"] = true,
	["DBMv4-Pull"] = true,
	["DBMv4-Pizza"] = true,
	["DBMv4-RequestTimers"] = true,
	["DBMv4-TimerInfo"] = true,
	["DBMv4-Ver"]		= true,
 	["dgks_txt"]		= true,
	["dgks_ScrollingTextEvent"]= true,
	["dgks_KilledSoundEvent"]	= true,
	["dgks_BGVersionCheckRequest"]	= true,
	["dgks_RaidVersionCheckRequest"]= true,
	["dgks_GuildVersionCheckRequest"]= true,
	["dgks_VersionCheckResponse"]= true,
	["DPM"] 		= true,
	["DPMcheck"]		= true,
	["DPMversion"]		= true,
	["DPMtrue"]		= true,
	["DQT"]		= true,
	["DRA2"]		= true,
	["DRA2_ASK"]		= true,
	["DTM"]			= true,
	["DXE"]			= true,
	["DXE_Dist8"]	= true,
	["ELITG"]		= true,
	["EPGP"]		= true,
	["EPGPLMVChk"]	= true,
	["EPGPLMVRsp"]	= true,
	["EPGPLMVHdlr"]	= true,
	["ExaminerGlyphs"]= true,
	["eXtremeRaid"]		= true,
	["FBAM"]		= true,
	["GathX"]		= true,
	["GearScore"]	= true,
	["GearScoreRecount"]= true,
	["GearScore_Request"]= true,
	["GearScore_Send"]= true,
	["GearScore_Version"]= true,
	["GSY"]		= true,
	["GSY_Request"]	= true,
	["GSY_Version"]	= true,
	["GSX"]		= true,
	["GMSD"]		= true,
	["GoGoMountVER"]		= true,
	["gqAccept"]	= true,
	["gqLogout"]	= true,
	["gqRemove"]	= true,
	["gqReply"]	= true,
	["GC3"]		= true,
	["GC3/"]		= true,
	["GC4"]		= true,
	["GC4/"]		= true,
	["GC5"]		= true,
	["GDALootlist"]	= true,
	["GLDG"]		= true,
	["GLDR"]		= true,
	["GEM3"]		= true,
	["GTH"]		= true,
	["GuildCraft3"]		= true,
	["GuildCraft35"]	= true,
	["GuildSpyVersion"]= true,
	["GupPetVersion"]	= true,
	["hbGUID"]	= true,
	["hbComms"]	= true,
	["HealBot_GUID"]	= true,
	["HealBot_Heals"]	= true,
	["HealComm"]	= true,
	["HIVE"]		= true,
	["IHL"]		= true,
	["JambaCommunicationsCommand"]= true,
	["KALIFCMSG"]	= true,
	["KARMA"]		= true,
	["KHP_dragon"]	= true,
	["KHP_deamon"]	= true,
	["KLHALG"]	= true,
	["KLHTM"]		= true,
	["LGP"]		= true,
	["LHC40"]		= true,
	["LibGroupTalents-1.0"]= true,
	["LockdownUpdate"]= true,
	["Lockdown0005Hello"]= true,
	["Lockdown0005NewLock"]= true,
	["Lockdown0005Wipe"]= true,
	["LOOT_OPENED"]	= true,
	["LPH10"]		= true,
	["LRW2"]		= true,
	["LVBM"] 		= true,
	["LVBM NSP"]	= true,
	["LVFH MARK"]	= true,
	["LVGWF ENRAGE"]	= true,
	["LVFH VOID"]		= true,
	["LVBM NSP"]	= true,  
	["LVNEF"]		= true,
	["MeBo"]		= true,
	["MLRA"]		= true,
	["MS1"]		= true,
	["MagicMarker"]		= true,
	["MagicMarkerRT"]	= true,
	["MorgDKP2MorgBid"]= true,
	["MorgDKP2Syncing"]= true,
	["MorgDKP2MorgBid"]= true,
	["MorgBid2"]	= true,
	["MVIT"]		= true,
	["MYC"] 		= true,
	["NECB"] 		= true,
	["NECBCHAT"]	= true,
	["NECBCTRA"]	= true,
	["Nurfed:Lyt"]	= true,
	["oRA"]		= true,
	["oRA3"]		= true,
	["PABx39dkes8xj"] =true,
	["PAB935ndd8xid"] = true,
	["PABkd8cjnwuid"] =true,
	["<<PiraCore>>"]	= true,
	["PCCT2"]		= true,
	["Pit"] 		= true,
	["PEGGLE"]		= true,
	["PetShopSync"] = true,
	["PALB"] 		= true,
	["PLPWR"]		= true,
	["Quecho"]	= true,
	["Quecho2"]	= true,
	["Quecho3"]	= true,
	["QHpr"]		= true,
	["QuGu"]		= true,
	["Quixote2"]		= true,
	["R\195\159"]	= true,
	["RaCD"]		= true,
	["RaidForge"]	= true,
	["RAIDTOTEMS"]	= true,
	["RankWatch"]	= true,
	["RBM"]		= true,
	["RCD2"]		= true,
	["RD"]		= true,
	["RDX"]		= true,
	["RID"] 		= true,
	["SRA"]			= true,
	["RTM"]			= true,
	["SGLC"]		= true,
	["SRTi"] 		= true,
	["SSAF"]		= true,
	["StinkyQ"]	= true,
	["Super Duper Macro query"]= true,
	["Super Duper Macro recFailed"]= true,
	["Super Duper Macro receiving"]= true,
	["Super Duper Macro sendFailed"]= true,
	["Super Duper Macro recDone"]= true,
	["Super Duper Macro response"]= true,
	["Super Duper Macro send1"]= true,
	["Super Duper Macro send2"]= true,
	["SWSudX21"]		= true,
	["SWSHSX21"]		= true,
	["SWSudX22"]	= true,
	["SWSHSX22"]	= true,
	["SWSVC7w7"]	= true,
	["TAL"]		= true,
	["UnT"]		= true,
	["VER"]		= true,
	["Talented"]		= true,
	["TGuide"]		= true,
	["Thr"] 		= true,
	["TitanWG"]		= true,
	["TL2"]		= true,
	["tomQ2"]	= true,
	["TotemTracker"]	= true,
	["tradeDispenser"]= true,
	["TSK"]		= true,
	["TypI"] 		= true,
	["Utopia"]		= true,
	["Utopia_UpTime"]	= true,
	["VisualHeal"]		= true,
	["VA"]		= true,
	["VC"] 		= true,
	["CB"]		= true,
	["CT"] 		= true,
	["VodkaHoldem"]		= true,
	["WGA"]		= true,
	["WGFU "]		= true,
	["WGTime"]		= true,
	["WIM"] 		= true,
	["WIM_W2W"]	= true,
	["WintergraspT"]	= true,
	["WL_LOOT_COOLDOWN"]= true,
	["WL_LOOTCOOLDOWN_NPC"]= true,
	["WL_LOOTCOOLDOWN_OBJECT"]= true,
	["WL_LOOTED_NPC"]	= true,
	["WQ2"]		= true,
	["WRUGSAUTH"]	= true,
	["YRT2"]		= true,
}

local function ChatMsgAddon(prefix, msg, channel, sender)
	if not knownPrefix[prefix] then
		DEFAULT_CHAT_FRAME:AddMessage("prefix: "..prefix.."\nmsg: "..msg.."\nchannel: "..channel.."\nsender: "..sender)
		knownPrefix[prefix] = true
	end
end

local frame = CreateFrame("frame")
frame:RegisterEvent("CHAT_MSG_ADDON")
DEFAULT_CHAT_FRAME:AddMessage("Prefixhunter loaded")
frame:SetScript("OnEvent", function(self, event, ...)
	if event == "CHAT_MSG_ADDON" then
		ChatMsgAddon(arg1, arg2, arg3, arg4)
	end
end)
